Permalink
Fetching contributors…
Cannot retrieve contributors at this time
98 lines (77 sloc) 2.23 KB
[tox]
envlist =
flake8
# CPython
py27-{tw154,tw187,twtrunk,asyncio}
py34-{tw154,tw187,twtrunk,asyncio}
py35-{tw154,tw187,twtrunk,asyncio}
py36-{tw154,tw187,twtrunk,asyncio}
py37-{tw154,tw187,twtrunk,asyncio}
# PyPy
pypy-{tw154,tw187,twtrunk,asyncio}
pypy3-{tw154,tw187,twtrunk,asyncio}
[flake8]
max-line-length = 119
[testenv]
deps =
mock
unittest2
coverage
pytest<3.3.0
; txaio
git+https://github.com/crossbario/txaio
; twisted dependencies
tw154: twisted==15.4.0
tw165: twisted==16.5.0
tw169: twisted==16.9.0
tw171: twisted==17.1.0
tw179: twisted==17.9.0
tw187: twisted==18.7.0
twtrunk: https://github.com/twisted/twisted/archive/trunk.zip
{tw154,tw165,tw169,tw171,tw179,tw187,twtrunk}: pytest-twisted
; asyncio dependencies
py26-asyncio: trollius>=2.0
py26-asyncio: ordereddict
py27-asyncio: trollius>=2.0
pypy-asyncio: trollius>=2.0
py33-asyncio: asyncio>=3.4.3
py33-asyncio: pytest_asyncio<0.6
py34-asyncio: pytest_asyncio<0.6
py35-asyncio: pytest_asyncio
py36-asyncio: pytest_asyncio
py37-asyncio: pytest_asyncio
; aiohttp requires Python 3.4.2+
; py34-asyncio: pytest-aiohttp
; py35-asyncio: pytest-aiohttp
# http://tox.readthedocs.io/en/latest/config.html#confval-extras=MULTI-LINE-LIST
extras =
encryption
serialization
scram
nvx
commands =
sh -c "which python"
python -V
coverage --version
asyncio: coverage run --source {envsitepackagesdir}/autobahn/ {envbindir}/py.test -v {envsitepackagesdir}/autobahn/
tw154: coverage run {envbindir}/trial autobahn
tw165,tw169,tw171,tw179,tw187,twtrunk: coverage run -m twisted.trial autobahn
coverage report
whitelist_externals = sh
setenv =
PYUBJSON_NO_EXTENSION = 1
SODIUM_INSTALL = bundled
asyncio: USE_ASYNCIO = 1
tw154,tw165,tw169,tw171,tw179,tw187,twtrunk: USE_TWISTED = 1
[testenv:flake8]
skip_install = True
deps =
flake8
pep8-naming
commands =
sh -c "which python"
python -V
flake8 --version
; These ignores will be removed when they are fixed and we are flake8-clean
flake8 --ignore=E402,E501,E722,E741,N801,N802,N803,N805,N806 autobahn
basepython = python2.7